This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 746557 - (ghc-tagged) Review Request: ghc-tagged - Newtype wrappers for phantom types
Review Request: ghc-tagged - Newtype wrappers for phantom types
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
: 648247 (view as bug list)
Depends On: 648246 ghc-data-default ghc-semigroups
Blocks: 648248 713359
  Show dependency treegraph
 
Reported: 2011-10-17 00:50 EDT by Narasimhan
Modified: 2013-07-07 15:12 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-tagged-0.2.3.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-22 19:52:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Narasimhan 2011-10-17 00:51:41 EDT
*** Bug 648247 has been marked as a duplicate of this bug. ***
Comment 2 Jens Petersen 2011-10-27 00:05:29 EDT
Thanks for the submission - looks fine to me.


Here is the review:

 +:ok, NA: not applicable

MUST Items:
[+] MUST: rpmlint output [1]

ghc-tagged.src: W: spelling-error Summary(en_US) Newtype -> New type, New-type, Tintype
ghc-tagged.src: W: spelling-error %description -l en_US Newtype -> New type, New-type, Tintype
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
ghc-tagged.x86_64: W: spelling-error Summary(en_US) Newtype -> New type, New-type, Tintype
ghc-tagged.x86_64: W: spelling-error %description -l en_US Newtype -> New type, New-type, Tintype
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
ghc-tagged-devel.x86_64: W: spelling-error %description -l en_US Newtype -> New type, New-type, Tintype
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[+] MUST: package named according to Package Naming Guidelines
[+] MUST: spec file name must match base package %{name} [2]
[+] MUST: meet Packaging Guidelines
[+] MUST: Fedora approved license and Licensing Guidelines
BSD 3 clause
[+] MUST: License field in the package spec file must match actual license. [3]
[+] MUST: include license files in %doc if available in source [4]
[+] MUST: The spec file must be written in American English [5] and legible. [6]
[+] MUST: source md5sum matches upstream release (from upstream URL)

7899d417f18952a5a56b8588ba4724e4  tagged-0.2.3.1.tar.gz

[+] MUST: successfully compile and build into binary rpms on a primary arch [7]

http://koji.fedoraproject.org/koji/taskinfo?taskID=3465018

[NA] MUST: if necessary use ExcludeArch for other archs [8]
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations [9]
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
[+] MUST: Packages must NOT bundle copies of system libraries. [11]
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review [12]
[+] MUST: A package must own all directories that it creates. [13]
[+] MUST: A package must not contain any duplicate files in the %files listing. [14]
[+] MUST: Permissions on files must be set properly. [15]
[+] MUST: consistently use macros [16]
[+] MUST: The package must contain code, or permissable content. [17]
[NA] MUST: Large documentation files should go in a doc subpackage. [18]
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. [18]
[+] MUST: Header files must be in a -devel package. [19]
[NA] MUST: Static libraries must be in a -static package. [20]
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency [21]
[NA] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec. [20]
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. [22]
[+] MUST: Packages must not own files or directories already owned by other packages. [23]
[+] MUST: All filenames in rpm packages must be valid UTF-8. [24]

SHOULD Items:
[+] SHOULD: If upstream source does not include license text file(s), the packager SHOULD query upstream to include it. [25]
[+] SHOULD: The reviewer should test that the package builds in mock. [27]
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. [29]
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]

The source files also include headers tagged with the license. :)

Package is APPROVED.
Comment 3 Narasimhan 2011-10-27 13:23:04 EDT
New Package SCM Request
=======================
Package Name: ghc-tagged
Short Description: Newtype wrappers for phantom types
Owners: narasim
Branches: f14 f15 f16
InitialCC: haskell-sig
Comment 4 Narasimhan 2011-10-27 13:23:37 EDT
Thanks for the review!
Comment 5 Jon Ciesla 2011-10-28 10:13:40 EDT
Git done (by process-git-requests).
Comment 6 Narasimhan 2011-10-28 11:28:13 EDT
Built for rawhide

http://koji.fedoraproject.org/koji/buildinfo?buildID=271224
Comment 7 Fedora Update System 2011-11-03 23:44:44 EDT
ghc-tagged-0.2.3.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-tagged-0.2.3.1-1.fc14
Comment 8 Fedora Update System 2011-11-03 23:44:51 EDT
ghc-tagged-0.2.3.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-tagged-0.2.3.1-1.fc15
Comment 9 Fedora Update System 2011-11-05 19:57:29 EDT
ghc-tagged-0.2.3.1-1.fc14 has been pushed to the Fedora 14 testing repository.
Comment 10 Fedora Update System 2011-11-06 17:07:32 EST
ghc-tagged-0.2.3.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-tagged-0.2.3.1-1.fc16
Comment 11 Fedora Update System 2011-11-22 19:52:41 EST
ghc-tagged-0.2.3.1-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 12 Fedora Update System 2011-11-22 19:55:14 EST
ghc-tagged-0.2.3.1-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 13 Fedora Update System 2011-11-22 20:00:48 EST
ghc-tagged-0.2.3.1-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Jens Petersen 2013-07-07 07:17:49 EDT
Package Change Request
======================
Package Name: ghc-tagged
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 15 Jon Ciesla 2013-07-07 15:12:52 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.